import { select, arc } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg.append('g')
	.attr('transform', `translate(${width/2},${height/2})`);

const circle = g.append('circle')
  .attr('r',height/2)
	.attr('fill', "#5DBCD2")
	.attr('stroke', "black");

const eyeSpacing = 100;
const eyeYOffset = -70;
const eyeRadius = 30;

const eyebrowWidth = 70;
const eyebrowHeight = 15;
const eyebrowYoffset = -70;

const eyesG = g.append('g')
	.attr('transform', `translate(0,${eyeYOffset})`);

const leftEye = eyesG.append('circle')
  .attr('r',eyeRadius)
  .attr('cx',-eyeSpacing);
  

const rightEye = eyesG.append('circle')
  .attr('r',eyeRadius)
  .attr('cx',eyeSpacing);

const leftEyebrow = eyesG
	.append('rect')
    .attr('x',-eyeSpacing - eyebrowWidth/2)
    .attr('y',eyebrowYoffset)
    .attr('width',eyebrowWidth)
    .attr('height',eyebrowHeight);

const RigthEyebrow = eyesG.append('rect')
	.attr('x',eyeSpacing - eyebrowWidth/2)
	.attr('y',eyebrowYoffset)
	.attr('width',eyebrowWidth)
	.attr('height',eyebrowHeight);


const mouth = g.append('path')
	.attr('d',arc()({
  	innerRadius: 150,
    outerRadius: 170,
    startAngle: Math.PI/2,
    endAngle: Math.PI*1.5}));

const speed = 1500;

function annimation(){
  leftEyebrow
    .transition().duration(speed)
			.attr('y',eyebrowYoffset-50)
		.transition().duration(speed)
			.attr('y',eyebrowYoffset);
  RigthEyebrow
    .transition().duration(speed)
			.attr('y',eyebrowYoffset-50)
		.transition().duration(speed)
			.attr('y',eyebrowYoffset);
}

annimation();
setInterval(annimation, 4000);







